Swagger::InfoObject Class Reference

The object provides metadata about the API. The metadata can be used by the clients if needed, and can be presented in the Swagger-UI for convenience. More...

Inheritance diagram for Swagger::InfoObject:
[legend]

## Public Member Functions

| constructor (hash oh)
| Constructor. More...
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash oh)
| Constructor. More...
| constructor (ObjectBase other)
| copy constructor
| initialize (hash oh)
| Initialize. More...

## Public Attributes

*ContactObject | contact
| The contact information for the exposed API.
*string | desc
| A short description of the application. GFM syntax can be used for rich text representation.
*LicenseObject | license
| The license information for the exposed API.
*string | termsOfService
| The Terms of Service for the API.
string | title
| Required. The title of the application.
string | version
| Required. Provides the version of the application API (not to be confused with the specification version).
Public Attributes inherited from Swagger::ObjectBase
hash | vendorExtensions
| Allows extensions to the Swagger Schema. More...

## Detailed Description

The object provides metadata about the API. The metadata can be used by the clients if needed, and can be presented in the Swagger-UI for convenience.

## Member Function Documentation

## constructor()

Swagger::InfoObject::constructor | ( | hash | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description providing metadata about the API

Exceptions

  INVALID-FIELD-TYPE | field has invalid type
  REQUIRED-FIELD-MISSING | required field is missing